Bug 1410907 - gdb-add-index is not run
gdb-add-index is not run
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
26
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
: Regression, Reopened
: 1422836 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-01-06 15:01 EST by Jan Kratochvil
Modified: 2017-03-31 10:35 EDT (History)
9 users (show)

See Also:
Fixed In Version: rpm-4.13.0-11.fc26 rpm-4.13.0.1-1.fc24 rpm-4.13.0.1-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-28 20:20:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Kratochvil 2017-01-06 15:01:22 EST
Description of problem:
F-25 and Rawhide binaries no longer contain .gdb_index section which accelerates loading of *.debug files into GDB.

Version-Release number of selected component (if applicable):
PASS: F-22:    rpm-build-4.12.0.1-17.fc22.x86_64
FAIL: F-23:    rpm-build-4.13.0-1.fc23.x86_64
FAIL: F-24:    rpm-build-4.13.0-1.fc24.x86_64
FAIL: F-25:    rpm-build-4.13.0-10.fc26.x86_64
FAIL: Rawhide: rpm-build-4.13.0-6.fc25.x86_64

How reproducible:
Always.

Steps to Reproduce:
rpmbuild ...
readelf -S built-debuginfo-*/usr/lib/debug/usr/bin/foo.debug |grep gdb_index

Actual results:
<nothing>

Expected results:
  [34] .gdb_index        PROGBITS         0000000000000000  0001968d

Additional info:

It was broken by:
https://github.com/rpm-software-management/rpm.git
commit 41c4dcf507e2208585d6dc0952f59686a3a69d69
Author: Mark Wielaard <mjw@redhat.com>
Date:   Tue Jun 14 17:07:10 2016 +0200
    Don't use hardcoded paths to tools/scripts in find-debuginfo.sh.
-  [ -x /usr/bin/gdb-add-index ] && /usr/bin/gdb-add-index "$f" > /dev/null 2>&1
+  [ type gdb-add-index >/dev/null 2>&1 && gdb-add-index "$f" > /dev/null 2>&1

It was later fixed by:
https://github.com/rpm-software-management/rpm.git
commit 67d3df338875ad5d9601e360bfdbd4289f271bc1
Author: Mark Wielaard <mjw@redhat.com>
Date:   Tue Jun 14 17:07:14 2016 +0200
    Make adding GDB index sections configurable.
-  [ type gdb-add-index >/dev/null 2>&1 && gdb-add-index "$f" > /dev/null 2>&1
+    if type gdb-add-index >/dev/null 2>&1; then
+      gdb-add-index "$f"

But Fedora rpms contain the regressed variant between these two commits:
rpm-build-4.12.0.1-17.fc22.x86_64/usr/lib/rpm/find-debuginfo.sh:  [ -x /usr/bin/gdb-add-index ] && /usr/bin/gdb-add-index "$f" > /dev/null 2>&1
rpm-build-4.13.0-1.fc23.x86_64/usr/lib/rpm/find-debuginfo.sh:     [ type gdb-add-index >/dev/null 2>&1 && gdb-add-index "$f" > /dev/null 2>&1
rpm-build-4.13.0-1.fc24.x86_64/usr/lib/rpm/find-debuginfo.sh:     [ type gdb-add-index >/dev/null 2>&1 && gdb-add-index "$f" > /dev/null 2>&1
rpm-build-4.13.0-6.fc25.x86_64/usr/lib/rpm/find-debuginfo.sh:     [ type gdb-add-index >/dev/null 2>&1 && gdb-add-index "$f" > /dev/null 2>&1
rpm-build-4.13.0-10.fc26.x86_64/usr/lib/rpm/find-debuginfo.sh:    [ type gdb-add-index >/dev/null 2>&1 && gdb-add-index "$f" > /dev/null 2>&1
Comment 1 Panu Matilainen 2017-01-09 02:31:43 EST
Ack, will fix.
Comment 2 Panu Matilainen 2017-01-23 09:06:51 EST
Fixed in rawhide as of rpm-4.13.0-11.fc26.

As for other Fedora versions, the idea is to provide this and other fixes via upstream bugfix release.
Comment 3 Jan Kratochvil 2017-02-16 07:30:33 EST
*** Bug 1422836 has been marked as a duplicate of this bug. ***
Comment 4 Fedora Update System 2017-02-24 08:36:31 EST
rpm-4.13.0.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-beb25f1953
Comment 5 Fedora Update System 2017-02-24 08:59:33 EST
rpm-4.13.0.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-54078f9dd2
Comment 6 Fedora Update System 2017-02-24 19:53:29 EST
rpm-4.13.0.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-54078f9dd2
Comment 7 Fedora Update System 2017-02-24 20:52:21 EST
rpm-4.13.0.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-beb25f1953
Comment 8 Fedora End Of Life 2017-02-28 05:54:13 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.
Comment 9 Fedora Update System 2017-02-28 20:20:58 EST
rpm-4.13.0.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2017-02-28 20:24:54 EST
rpm-4.13.0.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Jan Kratochvil 2017-03-31 10:35:41 EDT
*** Bug 1401091 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.